import {GLOBAL_PARAMS, SerializableItem} from "./helper/serializableitem";
import {Graph} from "./graph/graph";

const SPACE_PARAMS = ["name", "description", "graph", ...GLOBAL_PARAMS];

export class Space extends SerializableItem {
    public name: string;
    public description: string;

    public graph: Graph;

    serialize(): any {
        return this.serializeProperties(SPACE_PARAMS);
    }
}