import Tool from "./tool";
import UndoIcon from "../../images/tools/undo.png";
import { Editor } from "../components/editor";

export default class UndoTool extends Tool {
    constructor(key) {
        super("Undo", UndoIcon, key);
    }

    onToolActivate() {
        Editor.globalGraph.undo();
        Editor.globalState.setTool(Editor.globalState.previousTool);
    }
}
